For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • TRANSAK WHITELABEL API
    • End Points
      • POSTCreate Order (Bank Transfer, Open Banking)
      • POSTConfirm Payment (Bank Transfer)
      • POSTCreate Widget URL (Cards, Apple Pay)
      • GETGet Active Orders
      • GETGet Orders
      • GETGet Order By ID
      • DELCancel Order
      • POSTDeprecated - Request OTT (Cards, Apple Pay)
Dashboard
LogoLogo
TRANSAK WHITELABEL APIOrders

Confirm Payment (Bank Transfer)

||View as Markdown|
POST
https://api-gateway-stg.transak.com/api/v2/orders/payment-confirmation
POST
/api/v2/orders/payment-confirmation
$curl -X POST https://api-gateway-stg.transak.com/api/v2/orders/payment-confirmation \
> -H "Content-Type: application/json" \
> -d '{
> "orderId": "",
> "paymentMethod": ""
>}'
1{
2 "data": {
3 "orderId": "e053ef3e-2b89-4fa6-9679-89f31fe39625",
4 "partnerUserId": "f8f5ef8f-dac0-4718-a5bb-6fbfcb389966",
5 "status": "PENDING_DELIVERY_FROM_TRANSAK",
6 "isBuyOrSell": "BUY",
7 "fiatCurrency": "EUR",
8 "cryptoCurrency": "ETH",
9 "paymentMethod": "sepa_bank_transfer",
10 "network": "ethereum",
11 "networkId": "",
12 "walletAddress": "0x8eeF3b6905704BdbB936f89dcd1A8BFE1B581405",
13 "quoteId": "3417136e-2a64-4c3d-ba20-ac1dc2890285",
14 "fiatAmount": 18,
15 "fiatAmountInUsd": 20.5,
16 "amountPaid": 0,
17 "cryptoAmount": 0.01138765,
18 "conversionPrice": 0.0006847655905827366,
19 "totalFeeInFiat": 1.37,
20 "paymentDetails": [
21 {
22 "fiatCurrency": "",
23 "paymentMethod": "sepa_bank_transfer",
24 "name": "Bank Transfer Details",
25 "fields": [
26 {
27 "name": "Account Type",
28 "value": "Personal"
29 },
30 {
31 "name": "Amount",
32 "value": "18 EUR"
33 },
34 {
35 "name": "First Name (Beneficiary)",
36 "value": "shashi"
37 },
38 {
39 "name": "Last Name (Beneficiary)",
40 "value": "shekhar"
41 },
42 {
43 "name": "IBAN",
44 "value": "GB40SEOU19870010352376"
45 },
46 {
47 "name": "Bank Name",
48 "value": "Simulator Bank"
49 },
50 {
51 "name": "Bank Country",
52 "value": "Malta"
53 },
54 {
55 "name": "Bank Address",
56 "value": "The Bower, 207-211 Old Street, London, England, EC1V 9NR"
57 }
58 ]
59 }
60 ],
61 "txHash": null,
62 "walletLink": "https://sepolia.etherscan.io/address/0xE99B71B9a035102432e30F47843746e646737b79"
63 }
64}
The **Confirm Payment** is an **authenticated API** that is essential part of the **Transak order flow**, allowing users to **confirm their payment** for an order once the funds have been transferred using their chosen payment method. This API ensures **secure and real-time payment reconciliation**, allowing the **crypto transaction to proceed**.
Was this page helpful?
Previous

Create Order (Bank Transfer, Open Banking)

Next

Create Widget URL (Cards, Apple Pay)

Built with

The Confirm Payment is an authenticated API that is essential part of the Transak order flow, allowing users to confirm their payment for an order once the funds have been transferred using their chosen payment method. This API ensures secure and real-time payment reconciliation, allowing the crypto transaction to proceed.

Headers

authorizationstringOptional

Authorization token is the accessToken received from the API - api/v2/auth/verify

Note: This is not applicable for Auth Reliance Flows

x-user-identifierstringOptional

Your authenticated user Email Id address.

Note: This is applicable only for Auth Reliance Flows

x-access-tokenstringOptional

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Note: This is applicable only for Auth Reliance Flows

Request

This endpoint expects an object.
orderIdstringRequired

orderId is the id received from the API - api/v2/orders

paymentMethodstringRequired
The value should be a supported payment method

Response

200 - Success

dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error